Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/barbell.py	(revision fcb33e4672814b4a8fe1ee865d430090b5fc03e6)
@@ -87,5 +87,5 @@
 * **Last Reviewed by:** Richard Heenan **Date:** January 4, 2017
 """
-from numpy import inf, sin, cos, pi
+from numpy import inf
 
 name = "barbell"
@@ -125,10 +125,2 @@
             phi_pd=15, phi_pd_n=0,
            )
-q = 0.1
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
-tests = [[{}, 0.075, 25.5691260532],
-        [{'theta':80., 'phi':10.}, (qx, qy), 3.04233067789],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision e2d6e3b6cf0d284837fe50be3eb7b7954f57edef)
+++ sasmodels/models/bcc_paracrystal.py	(revision 925ad6edca2969db8fb763eb02beee2c5a5f2872)
@@ -99,5 +99,5 @@
 """
 
-from numpy import inf, pi
+from numpy import inf
 
 name = "bcc_paracrystal"
@@ -141,9 +141,2 @@
     psi_pd=15, psi_pd_n=0,
     )
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-# add 2d test later
-q =4.*pi/220.
-tests = [
-    [{ },
-     [0.001, q, 0.215268], [1.46601394721, 2.85851284174, 0.00866710287078]],
-]
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/capped_cylinder.py	(revision fcb33e4672814b4a8fe1ee865d430090b5fc03e6)
@@ -91,5 +91,5 @@
 
 """
-from numpy import inf, sin, cos, pi
+from numpy import inf
 
 name = "capped_cylinder"
@@ -145,10 +145,2 @@
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
-q = 0.1
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
-tests = [[{}, 0.075, 26.0698570695],
-        [{'theta':80., 'phi':10.}, (qx, qy), 0.561811990502],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/core_shell_bicelle.py	(revision 8afefaee3d363dde220aa55fe83181a73b621f98)
@@ -88,5 +88,5 @@
 """
 
-from numpy import inf, sin, cos, pi
+from numpy import inf, sin, cos
 
 name = "core_shell_bicelle"
@@ -155,11 +155,4 @@
             theta=90,
             phi=0)
-q = 0.1
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
-tests = [[{}, 0.05, 7.4883545957],
-        [{'theta':80., 'phi':10.}, (qx, qy), 2.81048892474 ],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
 
+#qx, qy = 0.4 * cos(pi/2.0), 0.5 * sin(0)
Index: sasmodels/models/core_shell_bicelle_elliptical.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
+++ sasmodels/models/core_shell_bicelle_elliptical.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
@@ -99,5 +99,5 @@
 """
 
-from numpy import inf, sin, cos, pi
+from numpy import inf, sin, cos
 
 name = "core_shell_bicelle_elliptical"
@@ -150,8 +150,5 @@
             psi=0)
 
-q = 0.1
-# april 6 2017, rkh added a 2d unit test, NOT READY YET pull #890 branch assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
+#qx, qy = 0.4 * cos(pi/2.0), 0.5 * sin(0)
 
 tests = [
@@ -162,6 +159,3 @@
     'sld_core':4.0, 'sld_face':7.0, 'sld_rim':1.0, 'sld_solvent':6.0, 'background':0.0},
     0.015, 286.540286],
-#    [{'theta':80., 'phi':10.}, (qx, qy), 7.88866563001 ],
-        ]
-
-del qx, qy  # not necessary to delete, but cleaner
+]
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/core_shell_cylinder.py	(revision 8e68ea06a7246c4bd95ce82c755719ced6fa5a60)
@@ -73,5 +73,5 @@
 """
 
-from numpy import pi, inf, sin, cos
+from numpy import pi, inf
 
 name = "core_shell_cylinder"
@@ -151,10 +151,3 @@
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
-q = 0.1
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
-tests = [[{}, 0.075, 10.8552692237],
-        [{}, (qx, qy), 0.444618752741 ],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
+
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/ellipsoid.py	(revision 4b0a294be46e951df4767202737d3e713c14ee28)
@@ -120,5 +120,5 @@
 """
 
-from numpy import inf, sin, cos, pi
+from numpy import inf
 
 name = "ellipsoid"
@@ -190,10 +190,2 @@
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
-q = 0.1
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
-tests = [[{}, 0.05, 54.8525847025],
-        [{'theta':80., 'phi':10.}, (qx, qy), 1.74134670026 ],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
+++ sasmodels/models/elliptical_cylinder.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
@@ -109,5 +109,5 @@
 """
 
-from numpy import pi, inf, sqrt, sin, cos
+from numpy import pi, inf, sqrt
 
 name = "elliptical_cylinder"
@@ -150,8 +150,4 @@
                            + (length + radius) * (length + pi * radius))
     return 0.5 * (ddd) ** (1. / 3.)
-q = 0.1
-# april 6 2017, rkh added a 2d unit test, NOT READY YET pull #890 branch assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
 
 tests = [
@@ -163,4 +159,3 @@
       'sld_solvent':1.0, 'background':0.0},
      0.001, 675.504402],
-#    [{'theta':80., 'phi':10.}, (qx, qy), 7.88866563001 ],
 ]
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision e2d6e3b6cf0d284837fe50be3eb7b7954f57edef)
+++ sasmodels/models/fcc_paracrystal.py	(revision 925ad6edca2969db8fb763eb02beee2c5a5f2872)
@@ -90,5 +90,5 @@
 """
 
-from numpy import inf, pi
+from numpy import inf
 
 name = "fcc_paracrystal"
@@ -128,9 +128,2 @@
             psi_pd=15, psi_pd_n=0,
            )
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-# add 2d test later
-q =4.*pi/220.
-tests = [
-    [{ },
-     [0.001, q, 0.215268], [0.275164706668, 5.7776842567, 0.00958167119232]],
-]
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/hollow_cylinder.py	(revision aea2e2ab3f11c42b7fc1a72a02b6784076c41d3a)
@@ -60,5 +60,5 @@
 """
 
-from numpy import pi, inf, sin, cos
+from numpy import pi, inf
 
 name = "hollow_cylinder"
@@ -129,14 +129,9 @@
             theta_pd=10, theta_pd_n=5,
            )
-q = 0.1
-# april 6 2017, rkh added a 2d unit test, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
+
 # Parameters for unit tests
 tests = [
     [{}, 0.00005, 1764.926],
     [{}, 'VR', 1.8],
-    [{}, 0.001, 1756.76],
-    [{}, (qx, qy), 2.36885476192  ],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
+    [{}, 0.001, 1756.76]
+    ]
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision 0b56f3871b1019e3bb99fb618e1342d5f26c8de4)
+++ sasmodels/models/stacked_disks.py	(revision b7e8b94b477e6d9a7e4e2666bb218d3568ee66d2)
@@ -103,5 +103,5 @@
 """
 
-from numpy import inf, sin, cos, pi
+from numpy import inf
 
 name = "stacked_disks"
@@ -152,8 +152,5 @@
 # After redefinition of spherical coordinates -
 # tests had in old coords theta=0, phi=0; new coords theta=90, phi=0
-q = 0.1
-# april 6 2017, rkh added a 2d unit test, assume correct!
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
+# but should not matter here as so far all the tests are 1D not 2D
 tests = [
 # Accuracy tests based on content in test/utest_extra_models.py.
@@ -189,17 +186,4 @@
     [{'thick_core': 10.0,
       'thick_layer': 15.0,
-      'radius': 100.0,
-      'n_stacking': 5,
-      'sigma_d': 0.0,
-      'sld_core': 4.0,
-      'sld_layer': -0.4,
-      'solvent_sd': 5.0,
-      'theta': 90.0,
-      'phi': 20.0,
-      'scale': 0.01,
-      'background': 0.001},
-      (qx, qy), 0.0491167089952  ],
-    [{'thick_core': 10.0,
-      'thick_layer': 15.0,
       'radius': 3000.0,
       'n_stacking': 5,
@@ -244,17 +228,4 @@
       'background': 0.001,
      }, ([0.4, 0.5]), [0.00105074, 0.00121761]],
-    [{'thick_core': 10.0,
-      'thick_layer': 15.0,
-      'radius': 3000.0,
-      'n_stacking': 1.0,
-      'sigma_d': 0.0,
-      'sld_core': 4.0,
-      'sld_layer': -0.4,
-      'solvent_sd': 5.0,
-      'theta': 90.0,
-      'phi': 20.0,
-      'scale': 0.01,
-      'background': 0.001,
-     }, (qx, qy), 0.0341738733124 ],
 
     [{'thick_core': 10.0,
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision 15a90c1aa6a67491d6170c2aa26907b5939da063)
@@ -86,5 +86,5 @@
 The contrast $\Delta\rho$ is defined as SLD(ellipsoid) - SLD(solvent).  In the
 parameters, $R_a$ is the minor equatorial radius, $R_b$ is the major
-equatorial radius, and $R_c$ is the polar radius of the ellipsoid.
+equatorial radius, and $R_c$ is the polar radius of the ellipsoid. 
 
 NB: The 2nd virial coefficient of the triaxial solid ellipsoid is
@@ -117,5 +117,5 @@
 """
 
-from numpy import inf, sin, cos, pi
+from numpy import inf
 
 name = "triaxial_ellipsoid"
@@ -157,5 +157,5 @@
     from .ellipsoid import ER as ellipsoid_ER
 
-    # now that radii can be in any size order, radii need sorting a,b,c where a~b and c is either much smaller
+    # now that radii can be in any size order, radii need sorting a,b,c where a~b and c is either much smaller 
     # or much larger
     radii = np.vstack((radius_equat_major, radius_equat_minor, radius_polar))
@@ -177,11 +177,3 @@
             psi_pd=15, psi_pd_n=1)
 
-q = 0.1
-# april 6 2017, rkh add unit tests, NOT compared with any other calc method, assume correct!
-# add 2d test after pull #890
-qx = q*cos(pi/6.0)
-qy = q*sin(pi/6.0)
-tests = [[{}, 0.05, 24.8839548033],
-#        [{'theta':80., 'phi':10.}, (qx, qy), 9999. ],
-        ]
-del qx, qy  # not necessary to delete, but cleaner
+# TODO: need some unit tests!
